Subject: Re: [PATCH v2] MyFirstContribution: add avenues for getting help

From: SZEDER Gábor <[email-masked]>
Date: Tue, 19 Nov 2019 22:41:01 +0100

On Tue, Nov 19, 2019 at 10:29:43PM +0100, Johannes Schindelin wrote:
> Hi Gábor,
> 
> On Tue, 19 Nov 2019, SZEDER Gábor wrote:
> 
> > On Mon, Nov 18, 2019 at 01:45:19PM -0800, Emily Shaffer wrote:
> >
> > > I don't mind the idea of pushing folks to ask on the mentoring list
> > > first. It's pretty well attended already - just now I count 16 list
> > > members, a pretty significant majority of which are project veterans.
> > > I have no problem suggesting newbies ask their questions, which others
> > > probably had and solved before them, in a space separate from the main
> > > mailing list.
> > >
> > > Of course if you want to encourage newbies to ask in any of these
> > > three venues, weighted equally, I can change the language. But
> > > suggesting the main list as a last resort was intentional.
> >
> > git@vger is the ultimate source of all wisdom :) and it is openly
> > accessible for anyone for writing,
> 
> ... except people with an @outlook.com address (all of their emails will
> bounce) and people who do not know how to suppress HTML in their emails
> (which I believe constitutes the vast majority)...

And I believe that that "vast majority" will never try to contribute
to Git, and thus doesn't matter.

> > reading, and searching.  Therefore these three venues cannot be weighted
> > equally, but git@vger should be the explicitly preferred venue.  Only if
> > the newbie has some other preferences should the other two be
> > considered; e.g. if more interactive, chatty communication is preferred,
> > then try #git-devel.